%{?mingw_package_header}

Name:           mingw-libidn2
Version:        2.3.8
Release:        %mkrel 2
Summary:        MinGW Windows Internationalized Domain Name 2008 support library

# The distribution contains only GPLv3 copying for some reason. Pointed
# on the upstream ML: https://lists.gnu.org/archive/html/help-libidn/2016-11/msg00020.html
License:        ( LGPLv3+ and GPLv2 ) and GPLv3+
Group:          Development/Other
URL:            https://www.gnu.org/software/libidn/#libidn2
Source0:        https://ftp.gnu.org/gnu/libidn/libidn2-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/libidn/libidn2-%{version}.tar.gz.sig
Source2:        https://keys.openpgp.org/vks/v1/by-fingerprint/B1D2BD1375BECB784CF4F8C4D73CF638C53C06BE

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils

BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig


%description
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892 and 5893 for internationalized domain names (IDN).
It is a standalone library, without any dependency on libidn.

# Win32
%package -n mingw32-libidn2
Summary:        MinGW Windows IDN 2008 library the win32 target
Group:          Development/Other
Requires:       pkgconfig

%description -n mingw32-libidn2
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892 and 5893 for internationalized domain names (IDN).
It is a standalone library, without any dependency on libidn.

%package -n mingw32-libidn2-static
Summary:        Static version of the MinGW Windows IDN 2008 library
Group:          Development/Other
Requires:       mingw32-libidn2 = %{version}-%{release}

%description -n mingw32-libidn2-static
Static version of the MinGW Windows IDN 2008 library.

# Win64
%package -n mingw64-libidn2
Summary:        MinGW Windows IDN 2008 library the win64 target
Group:          Development/Other
Requires:       pkgconfig

%description -n mingw64-libidn2
Libidn2 is an implementation of the IDNA2008 specifications in RFC
5890, 5891, 5892 and 5893 for internationalized domain names (IDN).
It is a standalone library, without any dependency on libidn.

%package -n mingw64-libidn2-static
Summary:        Static version of the MinGW Windows IDN 2008 library
Group:          Development/Other
Requires:       mingw64-libidn2 = %{version}-%{release}

%description -n mingw64-libidn2-static
Static version of the MinGW Windows IDN 2008 library.

%{?mingw_debug_package}

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q -n libidn2-%{version}

%build
%mingw_configure --disable-nls --enable-static --enable-shared
%mingw_make_build

%install
%mingw_make_install

# Remove documentation which duplicates native Fedora package.
rm -r $RPM_BUILD_ROOT%{mingw32_infodir}
rm -r $RPM_BUILD_ROOT%{mingw64_infodir}
rm -r $RPM_BUILD_ROOT%{mingw32_mandir}/man*
rm -r $RPM_BUILD_ROOT%{mingw64_mandir}/man*

# The .def file isn't interesting for other libraries/applications
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/libidn2-*.def
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/libidn2-*.def

# The executables are not useful in this build
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/lookup.exe
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/register.exe

rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/lookup.exe
rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/register.exe

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Win32
%files -n mingw32-libidn2
%license COPYING
%{mingw32_bindir}/idn2.exe
%{mingw32_bindir}/libidn2-*.dll
%{mingw32_libdir}/libidn2.dll.a
%{mingw32_libdir}/pkgconfig/libidn2.pc
%{mingw32_includedir}/*.h

%files -n mingw32-libidn2-static
%{mingw32_libdir}/libidn2.a

# Win64
%files -n mingw64-libidn2
%doc COPYING
%{mingw64_bindir}/idn2.exe
%{mingw64_bindir}/libidn2-*.dll
%{mingw64_libdir}/libidn2.dll.a
%{mingw64_libdir}/pkgconfig/libidn2.pc
%{mingw64_includedir}/*.h

%files -n mingw64-libidn2-static
%{mingw64_libdir}/libidn2.a


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.3.8-2.mga10
+ Revision: 2243729
- Mageia 10 Mass Rebuild

* Sun Mar 09 2025 daviddavid <daviddavid> 2.3.8-1.mga10
+ Revision: 2162279
- new version: 2.3.8

* Tue Feb 06 2024 daviddavid <daviddavid> 2.3.7-1.mga10
+ Revision: 2037933
- new version: 2.3.7

* Tue Nov 08 2022 daviddavid <daviddavid> 2.3.4-1.mga9
+ Revision: 1904766
- new version: 2.3.4
+ neoclust <neoclust>
- New version  2.3.3

* Wed Mar 30 2022 umeabot <umeabot> 2.3.1-2.mga9
+ Revision: 1834170
- Mageia 9 Mass Rebuild

* Sat May 15 2021 daviddavid <daviddavid> 2.3.1-1.mga9
+ Revision: 1723887
- new version: 2.3.1

* Sat Sep 26 2020 tv <tv> 2.3.0-3.mga8
+ Revision: 1630271
- rebuild for new mingw stack

* Tue Feb 18 2020 umeabot <umeabot> 2.3.0-2.mga8
+ Revision: 1538230
- Mageia 8 Mass Rebuild

* Sun Nov 17 2019 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1461369
- new version: 2.3.0

* Tue Jul 02 2019 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1417788
- new version: 2.2.0

* Wed Feb 13 2019 daviddavid <daviddavid> 2.1.1a-1.mga7
+ Revision: 1366553
- new version: 2.1.1a

* Sat Feb 09 2019 daviddavid <daviddavid> 2.1.1-1.mga7
+ Revision: 1364446
- new version: 2.1.1

* Thu Sep 20 2018 umeabot <umeabot> 2.0.5-2.mga7
+ Revision: 1279839
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 2.0.5-1.mga7
+ Revision: 1244521
- new version: 2.0.5
- imported package mingw-libidn2


* Wed Aug 30 2017 Robert Scheck <robert@fedoraproject.org> - 2.0.4-1
- New upstream release (#1486881, #1486882)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Apr  4 2017 Nikos Mavrogiannopoulos <nmav@redhat.com> - 2.0.0-1
- New upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Nov 21 2016 Nikos Mavrogiannopoulos - 0.11-1
- Initial RPM release.
